//
//  ViewController.m
//  自制下载进度条
//
//  Created by 华相强 on 16/4/13.
//  Copyright © 2016年 华相强. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property(nonatomic, strong)CustomSlider *slider;
@property(nonatomic, strong)NSTimer *timer;
@property(nonatomic,assign)int value;
@property(nonatomic, assign)BOOL isDownload;
@property (strong, nonatomic) IBOutlet UIButton *download;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    //自制的进度条，是一个视图，视图上面有两个不同颜色的视图、一个label，label用来显示变化的百分值
    _slider = [[CustomSlider alloc]initWithFrame:CGRectMake(10, 100, self.view.frame.size.width-20, 50)];
    [self.view addSubview:_slider];
    _value = 0;
    _isDownload = YES;
}
-(void)runTime{
    _value++;
    if (_value <= 100) {
        [_slider setLeftFrame:_value];
    }
    else
    {
        [_timer invalidate];
        _timer = nil;
        _value = 0;
        _slider.ValueLabel.text = @"下载完成";
        [_download setTitle:@"已下载" forState:UIControlStateNormal];
        _download.enabled = NO;
    }
}
- (IBAction)download:(UIButton *)sender {
    if (_isDownload) {
        
        //创建一个定时器
        _timer = [NSTimer scheduledTimerWithTimeInterval:0.05 target:self selector:@selector(runTime) userInfo:nil repeats:YES];
        [_download setTitle:@"暂停" forState:UIControlStateNormal];
        _isDownload = NO;
    }
    else{
        [_timer invalidate];
        _timer = nil;
        [_download setTitle:@"下载" forState:UIControlStateNormal];
        _isDownload = YES;
    }
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
